Subject: Re: bug#73524: 29.4; bug-reference-mode matches regexp case-insensitively

From: Ulrich Mueller <[email-masked]>
Date: Sat, 28 Sep 2024 10:48:21 +0200

>>>>> On Sat, 28 Sep 2024, Eli Zaretskii wrote:

>> It will correctly highlight "bug-1234" and "Bug-5678" but also
>> "bUg-9012" which shouldn't be matched by the regexp.

> I'm not sure I see the harm in that (e.g., what if someone made a
> mistake while typing the commit log message? these are immutable with
> Git once pushed), but I've added Tassilo to this discussion in case he
> has an opinion.

IIUC behaviour depends on case-fold-search in the buffer. If that's
flipped, the string will no longer match. IMHO it's better to notice
such typos immediately, instead of being surprised by them later.

If case-independent matching is desired, the regexp can explicitly
allow it.